List batch
curl --request GET \
--url https://api.openai.com/v1/batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openai.com/v1/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openai.com/v1/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object": "batch",
"endpoint": "<string>",
"input_file_id": "<string>",
"completion_window": "<string>",
"status": "validating",
"created_at": 123,
"errors": {
"object": "<string>",
"data": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"line": 123
}
]
},
"output_file_id": "<string>",
"error_file_id": "<string>",
"in_progress_at": 123,
"expires_at": 123,
"finalizing_at": 123,
"completed_at": 123,
"failed_at": 123,
"expired_at": 123,
"cancelling_at": 123,
"cancelled_at": 123,
"request_counts": {
"total": 123,
"completed": 123,
"failed": 123
},
"metadata": {}
}
],
"has_more": true,
"object": "list",
"first_id": "batch_abc123",
"last_id": "batch_abc456"
}Batch
List batch
List your organization’s batches.
GET
/
batches
List batch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
Was this page helpful?
⌘I